<!--
  ~ Licensed to the Apache Software Foundation (ASF) under one or more
  ~ contributor license agreements.  See the NOTICE file distributed with
  ~ this work for additional information regarding copyright ownership.
  ~ The ASF licenses this file to You under the Apache License, Version 2.0
  ~ (the "License"); you may not use this file except in compliance with
  ~ the License.  You may obtain a copy of the License at
  ~
  ~    http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  ~
  -->

## Sentiment Detection (Cogito)

<p align="center"> 
    <img src="icon.png" width="150px;" class="pe-image-documentation"/>
</p>

***

## Description

Provides a `sentiment score` (positive or negative) for the entities recognized in the text, and an overall score for 
the whole set of entities in the document.

For more details, see: https://live.european-language-grid.eu/catalogue/tool-service/477

***

## Required input

Text field to apply sentiment analysis on. Supported languages:
* Italian
* Portuguese
* Dutch/Flemish
* Spanish/Castilian
* English
* French
* German

***

## Output

Appended `sentiment score`.